Edit

kc3-lang/automake/bootstrap

Branch :

  • Show log

    Commit

  • Author : Stefano Lattarini
    Date : 2012-02-23 19:21:00
    Hash : 2d951983
    Message : build: do not quote `like this', as per GCS recommendation This patch converts the files implementing the automake's own build system to the use of new quoting format 'like this' or "like this" rather than `like this'. * bootstrap, configure.ac, syntax-checks.mk, Makefile.am, lib/Makefile.am, m4/Makefile.am, syntax-checks.mk: Update quoting format throughout, in comments and diagnostic. Some minor related rewordings and reformatting since we are at it.

  • bootstrap
  • #! /bin/sh
    
    # This script helps bootstrap automake, when checked out from git.
    #
    # Copyright (C) 2002-2012 Free Software Foundation, Inc.
    # Originally written by Pavel Roskin <proski@gnu.org> September 2002.
    #
    # This program is free software; you can redistribute it and/or modify
    # it under the terms of the GNU General Public License as published by
    # the Free Software Foundation; either version 2, or (at your option)
    # any later version.
    #
    # This program is distributed in the hope that it will be useful,
    # but WITHOUT ANY WARRANTY; without even the implied warranty of
    # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    # GNU General Public License for more details.
    #
    # You should have received a copy of the GNU General Public License
    # along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
    # Don't ignore failures.
    set -e
    
    # Set program basename.
    me=`echo "$0" | sed 's,^.*/,,'`
    
    # Let user choose which version of autoconf, autom4te and perl to use.
    : ${AUTOCONF=autoconf}
    export AUTOCONF  # might be used by aclocal and/or automake
    : ${AUTOM4TE=autom4te}
    export AUTOM4TE  # ditto
    : ${PERL=perl}
    
    # Variables to substitute.
    VERSION=`sed -ne '/AC_INIT/s/^[^[]*\[[^[]*\[\([^]]*\)\].*$/\1/p' configure.ac`
    PACKAGE=automake
    datadir=.
    PERL_THREADS=0
    
    # Override SHELL.  This is required on DJGPP so that Perl's system()
    # uses bash, not COMMAND.COM which doesn't quote arguments properly.
    # It's not used otherwise.
    if test -n "$DJDIR"; then
      BOOTSTRAP_SHELL=/dev/env/DJDIR/bin/bash.exe
    else
      BOOTSTRAP_SHELL=/bin/sh
    fi
    
    # Read the rule for calculating APIVERSION and execute it.
    apiver_cmd=`sed -ne 's/\[\[/[/g;s/\]\]/]/g;/^APIVERSION=/p' configure.ac`
    eval "$apiver_cmd"
    
    # Sanity checks.
    if test -z "$VERSION"; then
      echo "$me: cannot find VERSION" >&2
      exit 1
    fi
    
    if test -z "$APIVERSION"; then
      echo "$me: cannot find APIVERSION" >&2
      exit 1
    fi
    
    # Make a dummy versioned directory for aclocal.
    rm -rf aclocal-$APIVERSION
    mkdir aclocal-$APIVERSION
    if test -d automake-$APIVERSION; then
      find automake-$APIVERSION -exec chmod u+wx '{}' ';'
    fi
    rm -rf automake-$APIVERSION
    # Can't use "ln -s lib automake-$APIVERSION", that would create a
    # lib.exe stub under DJGPP 2.03.
    mkdir automake-$APIVERSION
    cp -rf lib/* automake-$APIVERSION
    
    dosubst ()
    {
      rm -f $2
      in=`echo $1 | sed 's,^.*/,,'`
      sed -e "s%@APIVERSION@%$APIVERSION%g" \
          -e "s%@PACKAGE@%$PACKAGE%g" \
          -e "s%@PERL@%$PERL%g" \
          -e "s%@PERL_THREADS@%$PERL_THREADS%g" \
          -e "s%@SHELL@%$BOOTSTRAP_SHELL%g" \
          -e "s%@VERSION@%$VERSION%g" \
          -e "s%@datadir@%$datadir%g" \
          -e "s%@configure_input@%Generated from $in; do not edit by hand.%g" \
          $1 > $2
      chmod a-w $2
    }
    
    # Create temporary replacement for lib/Automake/Config.pm.
    dosubst automake-$APIVERSION/Automake/Config.in \
            automake-$APIVERSION/Automake/Config.pm
    
    # Create temporary replacement for aclocal.
    dosubst aclocal.in aclocal.tmp
    
    # Overwrite amversion.m4.
    dosubst m4/amversion.in m4/amversion.m4
    
    # Create temporary replacement for automake.
    dosubst automake.in automake.tmp
    
    # Create required makefile snippets.
    cd tests
    $PERL ./gen-testsuite-part > testsuite-part.tmp
    chmod a-w testsuite-part.tmp
    mv -f testsuite-part.tmp testsuite-part.am
    cd ..
    
    # Run the autotools.
    # Use '-I' here so that our own *.m4 files in m4/ gets included,
    # not copied, in aclocal.m4.
    $PERL ./aclocal.tmp -I m4 --automake-acdir m4 --system-acdir m4/acdir
    $AUTOCONF
    $PERL ./automake.tmp
    
    # Remove temporary files and directories.
    rm -rf aclocal-$APIVERSION automake-$APIVERSION
    rm -f aclocal.tmp automake.tmp